Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Class GenericHandler

    java.lang.Object
      |
      +--javax.xml.rpc.handler.GenericHandler

All Implemented Interfaces:
  Handler

public abstract class GenericHandler
extends java.lang.Object
implements Handler

The `javax.xml.rpc.handler.GenericHandler` class implements the `Handler` interface. SOAP Message Handler developers should typically subclass `GenericHandler` class unless the Handler class needs another class as a superclass.

The `GenericHandler` class is a convenience abstract class that makes writing Handlers easy. This class provides default implementations of the lifecycle methods `init` and `destroy` and also different handle methods. A Handler developer should only override methods that it needs to specialize as part of the derived `Handler` implementation class.

Version:
  1.0

Constructor Summary
`protected` | `GenericHandler()` Default constructor

Method Summary
`void` | `destroy()` The `destroy` method indicates the end of lifecycle for a Handler instance.
`abstract QName[]` | `getHeaders()` Gets the header blocks processed by this Handler instance.
`boolean` | `handleFault(MessageContext context)` The `handleFault` method processes the SOAP faults based on the SOAP message processing model.
`boolean` | `handleRequest(MessageContext context)` The `handleRequest` method processes the request SOAP message.
`boolean` | `handleResponse(MessageContext context)` The `handleResponse` method processes the response message.
`void` | `init(HandlerInfo config)` The `init` method to enable the Handler instance to initialize itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericHandler

    protected GenericHandler()

  Default constructor

Method Detail

### handleRequest

    public boolean handleRequest(MessageContext context)

  The `handleRequest` method processes the request SOAP message. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the request SOAP message. This method should be overridden if the derived Handler class needs to specialize implementation of this method.
  Specified by:
    `handleRequest` in interface `Handler`
  Parameters:
    `context` - the message context
  Returns:
    true/false

### handleResponse

    public boolean handleResponse(MessageContext context)

  The `handleResponse` method processes the response message. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the response SOAP message. This method should be overridden if the derived Handler class needs to specialize implementation of this method.
  Specified by:
    `handleResponse` in interface `Handler`
  Parameters:
    `context` - the message context
  Returns:
    true/false

### handleFault

    public boolean handleFault(MessageContext context)

  The `handleFault` method processes the SOAP faults based on the SOAP message processing model. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the SOAP fault. This method should be overridden if the derived Handler class needs to specialize implementation of this method.
  Specified by:
    `handleFault` in interface `Handler`
  Parameters:
    `context` - the message context
  Returns:
    true/false

### init

    public void init(HandlerInfo config)

  The `init` method to enable the Handler instance to initialize itself. This method should be overridden if the derived Handler class needs to specialize implementation of this method.
  Specified by:
    `init` in interface `Handler`
  Parameters:
    `config` - handler configuration

### destroy

    public void destroy()

  The `destroy` method indicates the end of lifecycle for a Handler instance. This method should be overridden if the derived Handler class needs to specialize implementation of this method.
  Specified by:
    `destroy` in interface `Handler`
  Following copied from interface: `javax.xml.rpc.handler.Handler`
  Throws:
    `JAXRPCException` - If any error during destroy

### getHeaders

    public abstract QName[] getHeaders()

  Gets the header blocks processed by this Handler instance.
  Specified by:
    `getHeaders` in interface `Handler`
  Returns:
    Array of QNames of header blocks processed by this handler instance. `QName` is the qualified name of the outermost element of the Header block.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.